import 'package:jwt_decode/jwt_decode.dart';
import 'package:sa_flutter/service.base.dart';

class SaAuthService extends ServiceBase {
  final String _realm;

  SaAuthService(
    String baseUrl, {
    String path = 'token',
    String realm,
  })  : this._realm = realm ?? 'default',
        super(baseUrl, path, requestRole: 'public');

  @override
  Future<String> getToken() {
    return null;
  }

  @override
  mapper(data) {
    return data;
  }

  Future<dynamic> signIn(String username, String password) {
    return this.post('$baseUrl/$requestRole/$path', {
      'username': username,
      'password': password,
      'realm': _realm,
    });
  }

  static Map<String, dynamic> decodeToken(String token) {
    return Jwt.parseJwt(token);
  }
}
