import 'package:flutter_test/flutter_test.dart';
import 'package:sa_flutter/sa_flutter.dart';

import '../env.test.dart';
import '../mocks/token-getter.mock.dart';
import '../test-helper.dart';

TestHelper helper = TestHelper();
MockTokenGetter tokenGetter = MockTokenGetter();

void main() {
  group('Applications', () {
    test('Should instantiate', () async {
      tokenGetter.token = await helper.login('manolo_sa2', 'AkxED2Ap8e6a');
      SaApplicationsService crud =
          new SaApplicationsService(tokenGetter, CASTE_URL);

      var items = await crud
          .getAll(callRole: CrudRequestRoles.ADMIN)
          .then((res) => res['hydra:member'] ?? [])
          .catchError((err) => expect(true, false));

      print('items: ${items.length}');
      expect(items.isNotEmpty, true);
    });
  });
}
